Bug 1123169 - Review Request: nodejs-linify - Transform a file's line endings from \r\n to \n
Summary: Review Request: nodejs-linify - Transform a file's line endings from \r\n to \n
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2014-07-25 04:16 UTC by Eduardo Mayorga
Modified: 2014-12-06 10:30 UTC (History)
2 users (show)

Fixed In Version: nodejs-linify-1.0.1-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-25 15:27:52 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eduardo Mayorga 2014-07-25 04:16:24 UTC
Spec URL: https://mayorga.fedorapeople.org/nodejs-linify.spec
SRPM URL: https://mayorga.fedorapeople.org/nodejs-linify-1.0.1-1.fc20.src.rpm
Description: Transform a file's line endings from `\r\n` to `\n`.
Fedora Account System Username: mayorga

Comment 1 Tom Hughes 2014-08-17 17:28:39 UTC
RPM build errors:
error: Installed (but unpackaged) file(s) found:
   /usr/bin/static
    Installed (but unpackaged) file(s) found:
   /usr/bin/static
Child return code was: 1

Comment 2 Eduardo Mayorga 2014-08-17 20:40:51 UTC
Fixed build and silenced rpmlint warning.

Spec URL: https://mayorga.fedorapeople.org/nodejs-linify.spec
SRPM URL: https://mayorga.fedorapeople.org/nodejs-linify-1.0.1-2.fc20.src.rpm

Comment 3 Tom Hughes 2014-08-20 20:31:18 UTC
The resulting RPM has dependency issues:

INFO: installing package(s): /home/tom/1123169-nodejs-linify/results/nodejs-linify-1.0.1-2.fc22.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/compton-rawhide-x86_64/root/', 'install', '/home/tom/1123169-nodejs-linify/results/nodejs-linify-1.0.1-2.fc22.noarch.rpm']
Error: Package: nodejs-linify-1.0.1-2.fc22.noarch (/nodejs-linify-1.0.1-2.fc22.noarch)
           Requires: npm(commander) = 1.2.0
           Available: nodejs-commander-2.2.0-2.fc21.noarch (fedora)
               npm(commander) = 2.2.0
Error: Package: nodejs-linify-1.0.1-2.fc22.noarch (/nodejs-linify-1.0.1-2.fc22.noarch)
           Requires: npm(minimatch) >= 3
           Installing: nodejs-minimatch-0.2.12-4.fc21.noarch (fedora)
               npm(minimatch) = 0.2.12
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


The issue with commander is that you need to quote ">= 1.2.0" in your %nodejs_fixdep line so that it is treated as one argument.

As for minimatch, well there is no version 3 - current upstream is 1.0.0 and we only have 0.2.12 so your fixdep seems completely wrong.

Comment 4 Eduardo Mayorga 2014-08-25 23:23:36 UTC
Spec URL: http://fedorapeople.org/~mayorga/nodejs-linify.spec
SRPM URL: http://fedorapeople.org/~mayorga/nodejs-linify-1.0.1-3.fc20.src.rpm

* Mon Aug 25 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0.1-3
- Fixing dependency issues

Comment 5 Tom Hughes 2014-10-22 20:50:07 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/tom/1123169-nodejs-linify/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-linify-1.0.1-3.fc22.noarch.rpm
          nodejs-linify-1.0.1-3.fc22.src.rpm
nodejs-linify.noarch: W: only-non-binary-in-usr-lib
nodejs-linify.noarch: W: dangling-symlink /usr/lib/node_modules/linify/node_modules/minimatch /usr/lib/node_modules/minimatch
nodejs-linify.noarch: W: dangling-symlink /usr/lib/node_modules/linify/node_modules/commander /usr/lib/node_modules/commander
nodejs-linify.noarch: W: no-manual-page-for-binary linify-nodejs
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-linify
nodejs-linify.noarch: W: only-non-binary-in-usr-lib
nodejs-linify.noarch: W: dangling-symlink /usr/lib/node_modules/linify/node_modules/minimatch /usr/lib/node_modules/minimatch
nodejs-linify.noarch: W: dangling-symlink /usr/lib/node_modules/linify/node_modules/commander /usr/lib/node_modules/commander
nodejs-linify.noarch: W: no-manual-page-for-binary linify-nodejs
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-linify (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(commander)
    npm(minimatch)



Provides
--------
nodejs-linify:
    nodejs-linify
    npm(linify)



Source checksums
----------------
http://registry.npmjs.org/linify/-/linify-1.0.1.tgz :
  CHECKSUM(SHA256) this package     : ae5306f2b42f31569da69b6f0c72025b1cd3cd51a20460278789cb9f832cba91
  CHECKSUM(SHA256) upstream package : ae5306f2b42f31569da69b6f0c72025b1cd3cd51a20460278789cb9f832cba91


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1123169
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Tom Hughes 2014-10-22 20:52:03 UTC
You need to ask upstream to add a copy of the license text, and if you don't want to wait for them to do a new release with that then you will need to add a copy locally as something under MIT can't be distributed without a copy of the license.

Other than that I think the only issue is that prepublish.js probably shouldn't be included - that is something that is there to be run as part of publishing the tar ball to the npmjs site I believe.

Comment 7 Eduardo Mayorga 2014-11-12 19:39:15 UTC
Spec URL: http://fedorapeople.org/~mayorga/nodejs-linify.spec
SRPM URL: http://fedorapeople.org/~mayorga/nodejs-linify-1.0.1-4.fc20.src.rpm

* Wed Nov 12 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0.1-4
- Adding license file from Github
- Removing prepublish.js

Comment 8 Tom Hughes 2014-11-12 23:56:12 UTC
That looks good now - package approved.

Comment 9 Eduardo Mayorga 2014-11-13 00:45:18 UTC
New Package SCM Request
=======================
Package Name: nodejs-linify
Short Description: Transform a file's line endings from \r\n to \n
Upstream URL: https://github.com/ForbesLindesay/linify
Owners: mayorga
Branches: f20 f21 el6 epel7
InitialCC:

Comment 10 Gwyn Ciesla 2014-11-13 16:40:10 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-11-13 20:50:53 UTC
nodejs-linify-1.0.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-linify-1.0.1-4.fc20

Comment 12 Fedora Update System 2014-11-13 23:05:19 UTC
nodejs-linify-1.0.1-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-linify-1.0.1-4.fc21

Comment 13 Fedora Update System 2014-11-13 23:19:26 UTC
nodejs-linify-1.0.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-linify-1.0.1-4.el6

Comment 14 Fedora Update System 2014-11-13 23:24:16 UTC
nodejs-linify-1.0.1-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-linify-1.0.1-4.el7

Comment 15 Fedora Update System 2014-11-14 12:05:51 UTC
nodejs-linify-1.0.1-4.fc20 has been pushed to the Fedora 20 testing repository.

Comment 16 Fedora Update System 2014-11-25 15:27:52 UTC
nodejs-linify-1.0.1-4.fc20 has been pushed to the Fedora 20 stable repository.

Comment 17 Fedora Update System 2014-11-30 19:19:19 UTC
nodejs-linify-1.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2014-11-30 19:19:31 UTC
nodejs-linify-1.0.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 19 Fedora Update System 2014-12-06 10:30:30 UTC
nodejs-linify-1.0.1-4.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.